%define upstream_name    Text-Abbrev
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Builds hash of all possible abbreviations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
Stores all unambiguous truncations of each element of LIST as keys in the
associative array referenced by '$hashref'. The values are the original
list elements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.20.0-11.mga10
+ Revision: 2200942
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.20.0-10.mga9
+ Revision: 1806291
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1497601
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1272023
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1034893
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 937434
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 936987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 750982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 686593
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 537499
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.20.0-1.mga4
+ Revision: 487099
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 373981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 126643
- imported package perl-Text-Abbrev


* Tue Jul 19 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
